Page MenuHomePhabricator

Remove Minerva's EventLogging error tracking
Closed, ResolvedPublic2 Story Points

Description

Previously we attempted to use EventLogging to track errors. In the end, we were advised not to and decided to count errors instead.

As a result of this decision we have dormant code loading on every page view.

AC

  • Remove references to wgMinervaErrorLogSamplingRate in codebase
  • Error handling is reduced to simply error counting
  • Any config in production and beta cluster has been cleaned up

QA steps

  1. Cause an error on the beta cluster (I'm guessing we'll need a gadget or user script for this)
  2. Confirm that a request hits the beacon

Notes

  • The code lives here
  • It might be nice to measure the difference in module size before and after the change…

Details

Related Gerrit Patches:
operations/mediawiki-config : masterbeta: noop: remove unused Minerva EventLogging error tracking configs
mediawiki/skins/MinervaNeue : masterRemove wgMinervaErrorLogSamplingRate

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 23 2019, 8:52 PM
Jdlrobson triaged this task as Normal priority.Sep 23 2019, 8:52 PM

Change 538062 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Remove wgMinervaErrorLogSamplingRate

https://gerrit.wikimedia.org/r/538062

Jdlrobson updated the task description. (Show Details)Sep 23 2019, 8:53 PM
ovasileva set the point value for this task to 2.Oct 1 2019, 4:15 PM
phuedx updated the task description. (Show Details)Oct 1 2019, 4:18 PM
phuedx added a subscriber: phuedx.

Per my note in today's Web Team Task Grooming ritual, I don't want to get our hopes up about Sentry just yet 🙂

Change 540404 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[operations/mediawiki-config@master] Remove Minerva EventLogging error tracking configs

https://gerrit.wikimedia.org/r/540404

Change 538062 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Remove wgMinervaErrorLogSamplingRate

https://gerrit.wikimedia.org/r/538062

Jdlrobson updated the task description. (Show Details)Oct 3 2019, 5:10 PM

Change 540404 merged by jenkins-bot:
[operations/mediawiki-config@master] beta: noop: remove unused Minerva EventLogging error tracking configs

https://gerrit.wikimedia.org/r/540404